@import "description.scss";

.step {
    width: 257px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    height: 240px;
  
    &:nth-child(-n + 2)::after {
      content: "";
      background: url("/next-public-fast/steps_arrow.svg") no-repeat center;
      background-size: 15px;
      position: absolute;
      width: 15px;
      height: 60px;
      top: 50%;
      right: -20%;
      opacity: 0.5;
      transform: translateY(-50%);
  
      @include desktop-small {
        right: -5%;
      }
  
      @include mobile {
        content: none;
        margin-right: 0;
      }
    }
  
    @media (min-width: 1024px) {
      &:nth-child(2) {
        padding: 0 5px;
      }
    }
  
    @include tablet {
      width: 100%;
      border-radius: 10px;
      height: 180px;
      &:nth-child(-n + 2) {
        margin-bottom: 10px;
      }
    }
  
    @include mobile {
      justify-content: space-between;
      flex-direction: column;
      align-items: flex-start;
      width: 100%;
      padding: 30px 10px 30px 30px;
      border: 1px solid $color-border;
      background-color: #fff;
      border-radius: 10px;
      height: fit-content;
  
      &:nth-child(-n + 2) {
        margin-bottom: 10px;
      }
    }
  
    &_count {
      display: flex;
      justify-content: center;
      width: 48px;
      height: 48px;
      border: 2px solid $color-red;
      border-radius: 50%;
      font-style: normal;
      font-weight: normal;
      text-align: center;
      align-items: center;
      align-self: center;
      font-size: 22px;
      line-height: 30px;
      color: $color-red;
      margin-bottom: 30px;
  
      @include tablet {
        margin-bottom: 20px;
      }
  
      @include mobile {
        align-self: center;
        margin-bottom: 0;
        margin-right: 20px;
        width: 35px;
        height: 35px;
        font-size: 18px;
        line-height: 25px;
        font-weight: 600;
        border: 1px solid $color-red;
      }
    }
  
    &_description {
      @include medium_description;
      margin-bottom: 20px !important;
      text-align: center;
  
      @include tablet {
        display: flex;
        align-items: center;
        max-width: 200px;
        margin: 0 auto;
      }
  
      @include mobile {
        text-align: left;
        font-weight: normal;
        margin: 0;
      }
  
      @include mobile-small {
        width: 164px;
      }
    }
    &_popupLink{
      @include mobile{
        margin-left: 55px;
      }
    }
  }
  .step_mobile_left {
    display: flex;
    flex-direction: column;
    justify-content: center;
    @include mobile {
      flex-direction: row;
      justify-content: start;
    }
  }